Since your rpm-db seems to be corrupted, the output of
Code:
rpm -qa | grep firewall
is expected. In the rpm -V command you need to provide *your* package version, I just added mine to make it clearer what it expects. To find your version run zypper info SuSEfirewall2 and use that version number or just take a look into your pasted output . But this won't reveal anything due to the corrupted rpm-db. Are you sure that the
Code:
rpm -v --rebuilddb
command worked? Did you see any warning or error messages? Is the directory "/sbin/" okay? Are all your mountpoints mounted? All searches for your error message lead to a broken rpm-db, so maybe try to run those steps again (as root) and verify that the rebuild was ok. But don't overwrite the first backup of Packages (Packages.orig) and try to recover from that.